Skip to main content
`Ctrl`+`K`

# VECMPICUDA

VECMPICUDA = “mpicuda” - The basic parallel vector, modified to use CUDA

## Options Database Keys

- -vec_type mpicuda - sets the vector type to `VECMPICUDA` during a call to `VecSetFromOptions()`

## See Also

`VecCreate()`, `VecSetType()`, `VecSetFromOptions()`, `VecCreateMPIWithArray()`, `VECMPI`, `VecType`, `VecCreateMPI()`, `VecSetPinnedMemoryMin()`, `VECSEQHIP`, `VECMPIHIP`

## Level

beginner

## Location

src/vec/vec/impls/mpi/cupm/cuda/vecmpicupm.cu

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages